package ink.wgink.module.activiti.pojo.vos.oa;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: UpdateTaskAssigneeVO
 * @Description: 更新任务代理人
 * @Author: wanggeng
 * @Date: 2022/5/9 17:15
 * @Version: 1.0
 */
@ApiModel
public class UpdateTaskAssigneeVO {

    @ApiModelProperty(name = "assignee", value = "代理人")
    @CheckEmptyAnnotation(name = "代理人")
    private String assignee;
    @ApiModelProperty(name = "reason", value = "原因")
    @CheckEmptyAnnotation(name = "原因")
    private String reason;

    public String getAssignee() {
        return assignee == null ? "" : assignee.trim();
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getReason() {
        return reason == null ? "" : reason.trim();
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"assignee\":\"")
                .append(assignee).append('\"');
        sb.append(",\"reason\":\"")
                .append(reason).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
